## courier 1.3.13

=== debian/changelog ===
courier (1.3.13-11) unstable; urgency=medium

  * debian/courier-base.postinst:  Remove any mispelled mairdirkw alternatives.

 -- Soren Stoutner <soren@debian.org>  Sat, 08 Mar 2025 20:36:25 -0700

courier (1.3.13-10) unstable; urgency=medium

  * debian/control:
    - Permanently remove the build-depends-arch section in an attempt to fix
      build-all failures.

 -- Soren Stoutner <soren@debian.org>  Thu, 27 Feb 2025 15:03:25 -0700

courier (1.3.13-9) unstable; urgency=medium

  * Add debian/po/ca.po.
  * debian/control:
    - Temporarily move most build-depends-arch back to build-depends to
      troubleshoot a build-all failure.
    - Mark courier-doc as "Multi-Arch: foreign".
    - Bump standards-version to 4.7.2, no changes required.
  * debian/copyright:
    - Sort PO stanza copyrights alphabetically.
    - Add copyright information for new translations.
  * debian/po/pt_BR.po:  Update translation (Closes: #1024193).
  * debian/tests/control:  Remove superficial flags.

 -- Soren Stoutner <soren@debian.org>  Mon, 24 Feb 2025 15:05:39 -0700

courier (1.3.13-8) unstable; urgency=medium

  * debian/courier-base.postinst:  Add TODO comment.
  * debian/courier-base.prerm:  Add TODO comment.
  * debian/control:
    - Move most build-depends to build-depends-arch.
    - Remove obsolete build-depends and depends version constraints.
    - Remove obsolete optional build-dependencies and dependencies.
    - Remove obsolete build-conflicts on automake1.4.
    - Remove obsolete breaks and replaces.
    - Remove couriergrey from courier-mta suggests, obsolete.
    - Add "Rules-Requires-Root: no", no changes required.
    - Bump standards-version to 4.7.1, no changes required.
  * debian/not-installed:  Add TODO comment.

 -- Soren Stoutner <soren@debian.org>  Thu, 20 Feb 2025 17:29:39 -0700

courier (1.3.13-7) unstable; urgency=medium

  * debian/copyright: Fix copyright information for ltmain.sh.
  * debian/courier-base.postinst:  Fix alternative for maildirkw.

 -- Soren Stoutner <soren@debian.org>  Thu, 20 Feb 2025 16:18:52 -0700

courier (1.3.13-6) unstable; urgency=medium

  * debian/copyright:
    - Fix the license information for ltmain.sh.
    - Correct a copyright year.
    - Remove trailing whitespaces.
  * debian/courier-base.install:  Add .courier extension to maildirkw files
    (Closes: #1095619).
  * debian/courier-base.postinst:  Add alternative for maildirkw.
  * debian/courier-base.prerm:  Remove alternative for maildirkw.

 -- Soren Stoutner <soren@debian.org>  Sat, 01 Feb 2025 20:23:12 -0700

courier (1.3.13-5) unstable; urgency=medium

  * debian/courier-mta.postinst:  Fix bashism in addcr diversion removal script.

 -- Soren Stoutner <soren@debian.org>  Tue, 21 Jan 2025 16:16:09 -0700

courier (1.3.13-4) unstable; urgency=medium

  * debian/courier-mta.postinst:  Fix addcr diversion removal script.

 -- Soren Stoutner <soren@debian.org>  Mon, 20 Jan 2025 14:36:02 -0700

courier (1.3.13-3) unstable; urgency=medium

  * debian/courier-mta.install:  Don't install the addcr man page, as the binary
    is no longer located in the path, and is not intended to be called by users.
  * debian/not-installed:  Exempt usr/share/man/man1/addcr.1.

 -- Soren Stoutner <soren@debian.org>  Sat, 18 Jan 2025 12:00:27 -0700

courier (1.3.13-2) unstable; urgency=medium

  * Add debian/upstream/metadata.
  * Add debian/patches/specify-addcr-directory.patch.
    <https://github.com/svarshavchik/courier/issues/56>
  * Remove debian/courier-mta.preinst, which is no longer required with the
    above patch.
  * debian/control:  Update homepage protocol to https.
  * debian/courier-mta.install:  Don't install /usr/bin/addcr.
  * debian/courier-mta.postrm:  Remove the dpkg-divert commands for addcr, which
    are no longer needed with the above patch.
  * debian/courier-mta.postinst:  Delete any stale addcr diversions left over
    from previous installs.
  * debian/not-installed:  Exempt /usr/bin/addcr.

 -- Soren Stoutner <soren@debian.org>  Thu, 16 Jan 2025 09:34:18 -0700

courier (1.3.13-1) unstable; urgency=medium

  * New upstream release (Closes: #1069307).
  * Fixes CVE-2021-38084 (fixed upstream in 1.1.5, Closes: #989375).
  * Set myself to be the maintainer (Closes: #978755).
  * Add debian/gbp.conf to enforce pristine-tar and sign-tags.
  * Add debian/README.Source to document CRLF issues.
  * Add debian/salsa-ci.yml with default contents.
  * Remove the following patches (applied upstream)
    - 0004-Remove-Google-Ads-from-documentation.patch
    - 0024-Dynamically-resolver-mailuid-and-mailgid-on-runtime-.patch
  * debian/control:
    - Update build-depend from libgcrypt-dev to libgcrypt20-dev.
    - Update build-depend from libidn11-dev to libidn-dev (Closes: #1086096).
    - Update build-depend from libpcre3-dev to libpcre2-dev (which is newer even
      though the name would indicate otherwise, Closes: #1000053).
    - Remove obsolete depends on lsb-base.
    - Bump standard version to 4.7.0 (no changes needed).
  * debian/copyright:  Update and refactor for readability.
  * debian/courier-base.install:  Install
    usr/share/man/man1/maildirwatch.courier.1.
  * debian/courier-webadmin.install:  Install
    etc/courier/webadmin/restartauthcmd.
  * debian/patches:  Refresh patches.
  * debian/rules:  Fix the extraction of subproject versions.
  * debian/upstream/signing-key.asc:  Update to match current upstream signing
    key.

 -- Soren Stoutner <soren@debian.org>  Wed, 15 Jan 2025 15:51:16 -0700

courier (1.0.16-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on media-types instead of mime-support. Closes #1057702

 -- Charles Plessy <plessy@debian.org>  Sun, 31 Dec 2023 03:24:25 +0900

courier (1.0.16-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop gamin support. (Closes: #423875, #599682, #1029207, #1038808)

 -- Bastian Germann <bage@debian.org>  Tue, 24 Oct 2023 18:45:03 +0200
