## courier 1.4.1

=== debian/changelog ===
courier (1.4.1-3) unstable; urgency=medium

  * Rename debian/README.Debian > debian/courier-base.README.Debian.
  * Call /usr/lib/courier/imapd* directly instead of /usr/sbin/imapd* in the
    following files:
    - debian/courier-imap.courier-imap-ssl.init
    - debian/courier-imap.courier-imap-ssl.service
    - debian/courier-imap.courier-imap.service
    - debian/courier-imap.init
  * debian/changelog:  Remove duplicate entries (all of the entries from
    0.29.1-1 to 1.0.9-1 were listed twice).
  * debian/courier-imap.README.Debian:  Add a section documenting automatic
    deletion of emails from the trash folder after 7 days (see: #436266).
  * debian/courier-imap.install:  Don't install /usr/sbin/imapd and
    /usr/sbin/imapd-ssl.
  * debian/courier-imap.links:  Don't link /usr/share/man/man8/imapd-ssl.8 to
    /usr/share/man/man8/imapd.8.
  * debian/rules:  Delete the upstream /usr/sbin/imapd* links
    (closes: #1064787).

 -- Soren Stoutner <soren@debian.org>  Sat, 14 Jun 2025 17:24:16 -0700

courier (1.4.1-2) unstable; urgency=medium

  * Update Turkist debconf translation, thanks to Atila KOÇ
    <atilakoc@yahoo.com>.

 -- Soren Stoutner <soren@debian.org>  Tue, 20 May 2025 22:03:15 -0700

courier (1.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Add debian/patches/fix-cflags.patch to make blhc happy.
  * Rename files:
    - debian/README.debian > README.Debian
    - debian/README.Source > README.source
  * debian/control:
    - Add explicit build-depends on ca-certificates to fix reproducible builds
      (Closes: #1103288).
    - Add explicit breaks to make missing-breaks happy.
  * debian/copyright:
    - Update copyright years for new upstream release.
    - Fix tab formatting.
  * debian/rules:
    - Improve hardening flags.
    - Remove the undefined "an-trap" macro from the man pages.

 -- Soren Stoutner <soren@debian.org>  Mon, 10 Mar 2025 15:58:15 -0700
