=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
                debhelper-compat (= 13),
                dh-exec,
                dh-apache2,
+               ca-certificates,
                courier-authlib-dev,
                default-libmysqlclient-dev,
                expect,
@@ -95,7 +96,27 @@
          ${perl:Depends}
 Provides: mail-transport-agent
 Conflicts: mail-transport-agent
-Replaces: mail-transport-agent
+Replaces: mail-transport-agent,
+          esmtp-run,
+          exim4-daemon-heavy,
+          exim4-daemon-light,
+          dma,
+          msmtp-mta,
+          nullmailer,
+          opensmtpd,
+          postfix,
+          rmail,
+          ssmtp
+Breaks: esmtp-run,
+        exim4-daemon-heavy,
+        exim4-daemon-light,
+        dma,
+        msmtp-mta,
+        nullmailer,
+        opensmtpd,
+        postfix,
+        rmail,
+        ssmtp
 Suggests: courier-doc,
           courier-filter-perl,
           mail-reader
@@ -207,7 +228,9 @@
          ${shlibs:Depends}
 Provides: pop3-server
 Conflicts: pop3-server
-Replaces: pop3-server
+Replaces: pop3-server,
+          mailutils-pop3d
+Breaks: mailutils-pop3d
 Suggests: courier-doc,
           mail-reader
 Description: Courier mail server - POP3 server
@@ -233,7 +256,9 @@
           imap-client
 Provides: imap-server
 Conflicts: imap-server
-Replaces: imap-server
+Replaces: imap-server,
+          cyrus-imapd
+Breaks: cyrus-imapd
 Description: Courier mail server - IMAP server
  The Courier mail transfer agent (MTA) is an integrated mail/groupware
  server based on open commodity protocols, such as ESMTP, IMAP, POP3, LDAP,
