=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+# TODO: Remove this and just reference /debian/tmp directly when needed.
 BUILD=$(CURDIR)/debian/tmp
 
 # Get the version numbers of the subprojects from their configure.ac files.
@@ -32,17 +33,24 @@
 SQWEBMAILVER=$(call get_version,sqwebmail,libs/sqwebmail/configure.ac)
 MAILDROPVER=$(call get_version,maildrop,libs/maildrop/configure.ac)
 
-# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
+# This is required to use ${courier-base:Version} in debian/control.
+include /usr/share/dpkg/default.mk
+
+# Enable all build hardening flags.
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+# Export the DPKG default build flags.
 DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/default.mk
-
-# see FEATURE AREAS in dpkg-buildflags(1)
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+# Include the default build flags.  <https://wiki.debian.org/Hardening#dpkg-buildflags>
+include /usr/share/dpkg/buildflags.mk
+
+# Append the CPPFLAGS to the standard CFLAGS and CXXFLAGS variables, which is how CMake likes it.  <https://wiki.debian.org/Hardening#Notes_for_packages_using_CMake>
+CFLAGS += $(CPPFLAGS)
+CXXFLAGS += $(CPPFLAGS)
 
 # see ENVIRONMENT in dpkg-buildflags(1)
-# package maintainers to append CFLAGS
-export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
-# package maintainers to append LDFLAGS
+# package maintainers to append LDFLAGS  TODO: this may no longer be needed.
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %:
@@ -135,38 +143,46 @@
 	${MAKE} install-perms
 	cd $(CURDIR)/courier && ./perms.sh
 
-# Install init-d helper script
+	# Install init-d helper script
 	install -m 644 debian/init-d-script-courier $(BUILD)/usr/lib/courier/
 
 # Create additional manpages
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
+	# Generate the man1 pages.
 	for man1 in addcr courier-config; do \
 	    $(POD2MAN) --section=1 debian/$${man1}.pod > $(BUILD)/usr/share/man/man1/$${man1}.1; \
 	done
+
+	# Generate the man8 pages.
 	for man8 in sharedindexinstall sharedindexsplit webgpg webmaild; do \
 	    $(POD2MAN) --section=8 debian/$${man8}.pod > $(BUILD)/usr/share/man/man8/$${man8}.8; \
 	done
+
+	# Remove any undefined "an-trap" macros from the man pages.  <https://github.com/svarshavchik/courier/issues/58>
+	sed -i '/an-trap/d' $(BUILD)/usr/share/man/man1/*
+	sed -i '/an-trap/d' $(BUILD)/usr/share/man/man5/*
+	sed -i '/an-trap/d' $(BUILD)/usr/share/man/man8/*
 else
-# Remove manpages for nodoc builds
+	# Remove manpages for nodoc builds
 	rm -f $(BUILD)/usr/share/man/man?/*.[1234578]
 endif
 
-# Ispell dictionary configuration will be produced by postinst
+	# Ispell dictionary configuration will be produced by postinst
 	rm -f $(BUILD)/usr/lib/courier/sqwebmail/html/en-us/ISPELLDICT
 
-# Remove examples
+	# Remove examples
 	rm -f $(BUILD)/usr/lib/courier/perlfilter-example.pl
 	rm -f $(BUILD)/etc/courier/quotawarnmsg.example
 
-# Remove showmodules so we get rid of the libmysqlclient dependency
+	# Remove showmodules so we get rid of the libmysqlclient dependency
 	rm -f $(BUILD)/usr/sbin/showmodules
 
-# Remove *.dist configuration files
+	# Remove *.dist configuration files
 	for f in $(BUILD)/etc/courier/*.dist; do \
 	  mv $${f} $${f%.dist}; \
 	done
 
-# Replace PAM files with our versions
+	# Replace PAM files with our versions
 	rm $(BUILD)/etc/courier/*.authpam
 	install -d -m 755 $(BUILD)/etc/pam.d
 	install -m 644 debian/common-session.pam $(BUILD)/etc/pam.d/esmtp
@@ -175,10 +191,10 @@
 	install -m 644 debian/common-password.pam $(BUILD)/etc/pam.d/webmail
 	install -m 644 debian/common-password.pam $(BUILD)/etc/pam.d/calendar
 
-# faxmail init is just a shell snippet
+	# faxmail init is just a shell snippet
 	chmod 644 $(BUILD)/usr/lib/courier/faxmail/init
 
-# kill duplicate maildrop package
+	# Kill duplicate maildrop package
 	rm -f \
 	  $(BUILD)/etc/courier/maildrop \
 	  $(BUILD)/usr/bin/mailbot \
@@ -199,21 +215,3 @@
 	  $(BUILD)/usr/lib/courier/mkpop3dcert \
 	  $(BUILD)/usr/lib/courier/mkimapdcert
 
-# run dh_install then check for missing files
-	dh_install
-	dh_missing --fail-missing
-
-override_dh_installchangelogs-indep:
-	dh_installchangelogs -p courier-doc
-
-override_dh_installchangelogs-arch:
-	dh_installchangelogs -p courier-base ChangeLog
-	dh_installchangelogs -p courier-imap libs/imap/ChangeLog
-	dh_installchangelogs -p sqwebmail libs/sqwebmail/ChangeLog
-	dh_installchangelogs -a --remaining-packages
-
-override_dh_gencontrol-arch:
-	echo "courier-base:Version=$(DEB_VERSION)" >> debian/sqwebmail.substvars
-	dh_gencontrol -psqwebmail -- -v$(SQWEBMAILVER)+$(DEB_VERSION_UPSTREAM_REVISION)
-
-	echo "courier-base:Version=$(DEB_VERSION)" >> debian/courier-imap.substvars
