=== debian/tests/control ===
Tests: smoke-imap
Restrictions: needs-root
Depends: default-mta, courier-imap

Tests: smoke-pop
Restrictions: needs-root
Depends: default-mta, courier-pop

Tests: smoke-sqwebmail
Restrictions: needs-root
Depends: sqwebmail
