=== debian/watch ===
version=4
# qa.debian.org runs a redirector which allows a simpler form of URL
# for SourceForge based projects. The format below will automatically
# be rewritten to use the redirector.
opts=pgpsigurlmangle=s/$/.sig/ \
 https://sf.net/courier/courier-(\d+)\.(\d+)\.(\d+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
